List object types (admin)
GET
/object-typesAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredResponses
200
Array of
ObjectTypeListItemDtocreatedAtstringrequirediconobject | nullrequiredidstringrequiredinstanceCountnumberrequirednamestringrequiredslugstringrequiredsortnumberrequiredstatusCountnumberrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/object-types" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/object-types", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/object-types",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
[
{
"createdAt": "string",
"icon": {},
"id": "string",
"instanceCount": 0,
"name": "string",
"slug": "string",
"sort": 0,
"statusCount": 0
}
]Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions